사용자

ID로 사용자 조회

GET /v1/users/by-id/{user_id} reads 1 크레딧

숫자형 id로 조회한 계정 하나의 프로필. 핸들 대신 id만 갖고 있을 때를 위한 것입니다.

응답

user에 담긴 프로필. id는 문자열입니다. 숫자가 아닌 id는 422입니다.

상태: 200, 404, 422, 429, 502

요청
curl https://api.xsignalfeed.com/v1/users/by-id/44196397 \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 404
{
  "user": {
    "id": "44196397",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "bio": "…",
    "location": null,
    "url": "",
    "avatar": "https://pbs.twimg.com/profile_images/…",
    "banner": "https://pbs.twimg.com/profile_banners/44196397/…",
    "pinned": "2099875660290228642",
    "verified": true,
    "protected": false,
    "followers": 241629139,
    "following": 1406,
    "tweets": 108648
  }
}